package com.example.http.utils;

import android.content.Context;

/**
 * Created by shaop on 2017/12/15.
 */

public class CurrentActivityManager {

    private Context currentContext;

    private static CurrentActivityManager currentActivityManager = new CurrentActivityManager();

    public synchronized static CurrentActivityManager getInstance(){
        return currentActivityManager;
    }

    public void setCurrentContext(Context currentContext) {
        this.currentContext = currentContext;
    }

    public Context getCurrentContext() {
        return currentContext;
    }
}
